Bug 1263977 - [GSS](6.5.x) HotRod client try to unmarhall an object on get() no matter whether the put() use a byte[] or not
[GSS](6.5.x) HotRod client try to unmarhall an object on get() no matter whet...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.5.0
Unspecified Unspecified
high Severity unspecified
: DR4
: 6.6.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 04:52 EDT by wfink
Modified: 2015-10-27 06:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5758 Major Resolved HotRod client try to unmarhall an object on get() no matter whether the put() use a byte[] or not 2017-04-12 05:12 EDT

  None (edit)
Description wfink 2015-09-17 04:52:18 EDT
Description of problem:
If a client put an object as byte[] into the cache, which is a self serialized class, the get will return the original class (if it is in the class path) instead of the byte[].
This is incompatible to ISPN5 (<JDG6.3) here the byte[] is returned in any case.

It seems this in unintentional due to the smart 'compatibility' mode at client side
https://github.com/infinispan/infinispan/blob/master/client/hotrod-client/src/main/java/org/infinispan/client/hotrod/marshall/MarshallerUtil.java#L35

Expected results:
return a byte array
Comment 2 JBoss JIRA Server 2015-09-18 02:05:01 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-5758 to Coding In Progress

Note You need to log in before you can comment on or make changes to this bug.